@import '../../_mixins.scss';

.Renewal {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;

  .rounded-btn {
    width: 35px;
    margin-left: 10px;
    span{
      margin-left: -4px;
    }
  }
  .renewal__header {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid var(--base-border);
    cursor: pointer;

    .renewal__header-link {
      padding: 20px;
      width: 150px;
      text-align: center;
    }
    .renewal__header-link--active {
      border-bottom: 2px solid var(--primary);
    }
  }



  .filter__header{
    padding: 10px 0 0 20px;
    font-weight: 700;
  }
  .filter__body{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    height:-webkit-fill-available;

    .field-section-button{
      padding: 30px 0 0 0;
      button{
        min-width: 85px;
        margin-left: 15px;
      }
    }
  }



 .new-request{
  .new-request__tabel-header{
    display: flex;

    .field-section div.row.field__label{
      padding: 0;
    }
    .field-section{
      width: 250px;
      padding:15px 0px 15px 25px;
    }
    .show-uncoverd{
      width: 200px;
      padding-left: 15px;
      min-width: 200px;
     }

     .filter-button{
      width: 70px;
      padding-left: 15px;
     }

    .filter-renewal{
      min-width: unset;
      width: 75px;
      height: var(--input-height);
      padding: 5px
    }
    .apply-renewal, .reset-renewal{
      min-width: unset;
      width: 60px;
      height: var(--input-height);
      padding: 5px;
      margin: 0 5px 0 0;
    }
    .field__input input:not([type="radio"]), .field-section div.row.field__input textarea{
      height: var(--input-height);
    }
    .Select {
      height: var(--input-height);
  }
  }

  .new-request__table{
    .Select-control{
      width: 135px;
    }
     .rt-thead.-header:first-child {
       padding-left: 0 !important;
     }
     .rt-td{
       overflow: visible !important;
     }

     .required-error{
       border: 1px solid red;
     }
    }

  .new-request__footer{
    padding: 20px 0 20px 20px;
    background: var(--app-bg);
    display: flex;

    .cancel{
      margin-right: 15px;
      margin-left: auto;
    }

  }

  .pagination-bottom{
    display: none;
  }

  input[type=text]{
    background: url(../assets/icons/search.png) no-repeat scroll right 10px center !important;
  }

  .status {
    padding: 2px 5px 2px 15px;
    border-radius: 3px;
    font-size: 11px;
    position: relative;

    &.status--Active {
      --status-color: green;
      border: 1px solid var(--status-color);
      color: var(--status-color);

      &::after {
        content: ' ';
        display: block;
        position: absolute;
        top: 5px;
        left: 4px;
        min-height: 6px;
        width: 9px;
        background: transparent;
        border-left: 2px solid var(--status-color);
        border-bottom: 2px solid var(--status-color);
        transform: rotate(-45deg);
      }
    }

    &.status--Inactive,&.status--Expiring,&.status--Expired {
      --status-color: red;
      border: 1px solid var(--status-color);
      color: var(--status-color);

      &::after {
        content: ' ';
        position: absolute;
        top: 4px;
        left: 6px;
        width: 1px;
        height: 10px;
        border: 1px solid var(--status-color);
        transform: rotate(45deg);
      }

      &::before {
        content: ' ';
        position: absolute;
        top: 4px;
        left: 6px;
        width: 1px;
        height: 10px;
        border: 1px solid var(--status-color);
        transform: rotate(-45deg);
      }
    }

  }
 }
  .rt-thead.-header:first-child {
    padding-left: 0 !important;
  }

  .renewal-header__provider{
    padding: 10px 10px 0px 10px ;
    display: flex;

    .upload-btn{
      margin-left: 10px;

      img{
        padding-right: 5px;
      }
    }
    .pending-actions{
      margin-left: auto;
    }
  }


.pending, .completed{
  display: flex;
  flex-direction: column;

  input[type=text]{
    background: url(../assets/icons/search.png) no-repeat scroll right 10px center !important;
  }
}

}

.note-modal{
  width:100%;
  
  .add-note{
    .add-note__body{
      width:100%;
  
      .field-section div.row.field__input textarea{
        height: 130px;
      }
    }
  }
}


.renewal-upload-container {
  input {
    display: none;
  }
  .file-type__error{
    color:  var(--danger);
  }
}

.renewal__table-filters {
  display: flex;
  flex-direction: row;
  padding: 0 0 7px 25px !important;
}

.inventory-management__table-filters {
  display: flex;
  flex-direction: row;
  padding: 0 0 7px 25px;

.inventory-management__filter {
  background: var(--primary);
  padding: 3px 3px 3px 10px;
  margin-left: 5px;
  border-radius: 15px;
  display: flex;
  flex-direction: row;

  label {
    color: white;
  }

  span {
    min-width: 8px;
    padding: 5px 15px 5px 5px;
    position: relative;
    cursor: pointer;

    &::before,
    &::after {
      display: block;
      content: ' ';
      width: 10px;
      height: 2px;
      background: white;
      position: absolute;
      top: 7px;
    }

    &::after {
      transform: rotate(45deg);
    }

    &::before {
      transform: rotate(-45deg);
    }
  }
}

}

.customer-note-format{
  white-space: pre-wrap;
  p{
    word-break: break-word;
  }
}

